Subject: bug#39556: 27.0.60; Org Mode menu item comes before Elisp item?

From: Stephen Berman <[email-masked]>
Date: Tue, 11 Feb 2020 17:27:20 +0100

On Mon, 10 Feb 2020 15:20:29 -0800 (PST) Drew Adams <[email-masked]> wrote:

> `C-h i' shows:
>
> Emacs
> * Emacs: (emacs).               The extensible self-documenting text editor.
> * Emacs FAQ: (efaq).            Frequently Asked Questions about Emacs.
> * Emacs W32 FAQ: (efaq-w32).    FAQs about Emacs on MS Windows.
> * Org Mode: (org).              Outline-based notes management and organizer.
> * Elisp: (elisp).               The Emacs Lisp Reference Manual.
> * Emacs Lisp Intro: (eintr).    A simple introduction to Emacs Lisp
>                                   programming.
>
> Really?  Was this intended?

The change that caused this appears to be intended:

  commit 165f7383822086d465519ebe6e4283723923f097
  Author: Bastien <[email-masked]>
  Date:   Tue Dec 3 23:27:04 2019 +0100

    Update Org to 9.3

  [...]

  -@dircategory Emacs editing modes
  +@dircategory Emacs

> How is Org mode different from, say, Gnus?  Or Tramp?  Or Dired?  Or
> Ediff?  Or EWW?  Or any number of other features?  Why was it elevated
> so?  Before Elisp?
>
> Here's one vote to move it back down with the other specific modes.  At
> least please move it out of the first group, which is for Emacs as a
> whole and Elisp.

+1

Steve Berman